
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>超越MySQL：三个流行MySQL分支的对比（转） / 憋错料</title>

    <meta name="description" content="超越MySQL：三个流行MySQL分支的对比（转） 导读:尽管MySQL是最受欢迎的程序之一,但是许多开发人员认为有必要将其拆分成其他项目,并且每个分支项目都有自己的专长.该 需求以及Oracle对核心产品增长缓慢的担忧,导致出现了许多开发人员感兴趣的子项目和分支.本文将讨论受人们关注的三个流行MySQL分 支:Drizzle.MariaDB和Percona Server(包括XtraDB引擎).文中简要介绍每个分支出现的原因及其目标,以及是否可在您自己的生产环境中使用它们. 文章内容如下: 简介 MySQL是历史上最受欢迎的免费开源程序之一.它">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">超越MySQL：三个流行MySQL分支的对比（转）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>导读：尽管MySQL是最受欢迎的程序之一，但是许多开发人员认为有必要将其拆分成其他项目，并且每个分支项目都有自己的专长。该 需求以及Oracle对核心产品增长缓慢的担忧，导致出现了许多开发人员感兴趣的子项目和分支。本文将讨论受人们关注的三个流行MySQL分 支：Drizzle、MariaDB和Percona Server（包括XtraDB引擎）。文中简要介绍每个分支出现的原因及其目标，以及是否可在您自己的生产环境中使用它们。</strong></p>
<p><strong>文章内容如下：</strong></p>
<p><strong>简介</strong></p>
<p>MySQL是历史上最受欢迎的免费开源程序之一。它是成千上万个网站的数据库骨干，并且可以将它（和Linux）作为过去10年里Internet呈指数级增长的一个有力证明。</p>
<p>那么，如果MySQL真的这么重要，为什么还会出现越来越多的核心MySQ产品的高端衍生产品？这是因为MySQL是免费的开源应用程序，所以开发 人员总是可以获得其代码，并按照自己的想法修改代码，然后再自行分发代码。在很长的一段时间里，在开发人员自己的生产环境中，没有任何值得信任的 MySQL分支。但是，这种情况很快就发生了改变。有几个分支引起了许多人的关注。</p>
<p><strong>为什么要进行分支？</strong></p>
<p>为什么需要对MySQL进行分支？这是一个非常合理的问题。成千上万的网站依赖于MySQL，并且对许多人来说，它似乎是一个很好的解决方案。但 是，通常就是这样，适合许多人并不一定适合所有人。这促使一些开发人员想要根据自己的需要开发出更好的解决方案。还有什么能比将良好的解决方案转换为完美 的解决方案更好的呢？。</p>
<p>下面我们将介绍这些分支寻求改变的更多细节。一些分支认为MySQL变得太臃肿了，提供了许多用户永远不会感兴趣的功能，牺牲了性能的简单性。如果 人们对更精简的MySQL 4特别满意，那么为什么还要在MySQL 5中添加额外的复杂性呢？对于此分支来说，更好的MySQL分支应该更简单、更快捷，因此提供的功能也较少，但这样会使这些功能极其迅速地发挥作用，并且 牢记目标受众，在本例中，目标受众是高可用性网站。</p>
<p>对于其他分支来说，MySQL并没有提供足够多的新功能，或者是添加新功能的速度太慢了。他们可能认为MySQL没有跟上高可用性网站的目标市场的 发展形势，这些网站运行于具有大量内存的多核处理器之上。正如熟悉MySQL的人所知道的那样，MySQL提供了两种存储引擎：MyISAM和 InnoDB。这一分支认为这两种存储引擎都没有提供他们所需的内容，因此他们创建了一种非常适合其目标的新存储引擎。</p>
<p>此外，一些分支的最高目标是成为MySQL的替代产品，在这些产品中，您可以轻松地访问它们的分支，无需更改任何代码。该分支使用与MySQL相同 的代码和界面，因此使过渡变得非常容易。但是，另一个分支声称它与MySQL不兼容，需要更改代码。每个分支的成熟度各不相同，一些分支声称已经准备就绪 可以投入生产，而另外一些则声称目前自己还远达不到这一最高目标。</p>
<p>最后，关于MySQL在Oracle下将如何发展仍不太确定。Oracle收购了Sun，也收购了MySQL，现在Oracle控制MySQL产品 本身，并领导开发社区开发新的成品。由于Oracle已经有了一个商业数据库，因此人们担心他们可能没有足够的资源来使MySQL保持其领先地位。因此， 许多分支也是这些潜在担心所产生的结果，他们担心MySQL作为领先的免费开源数据库提供的功能可能太少、发布周期太慢并且支持费用更昂贵。</p>
<p><strong>XtraDB</strong></p>
<p>XtraDB是一款独立的产品，但它仍被认为是MySQL的一个分支。XtraDB实际上是基于MySQL的数据库的一个存储引擎。XtraDB被 认为是已成为MySQL一部分的标准MyISAM和InnoDB的一个额外存储引擎。MySQL 4和5使用默认的MyISAM存储引擎安装每个表。InnoDB也是一个相对较新的存储引擎选择，在建立数据库时，数据库管理员和开发人员可以基于每个表 选择存储引擎类型。两个存储引擎的主要区别是：MyISAM没有提供事务支持，而InnoDB提供了事务支持。其他差别是许多细微的性能差别，与 MyISAM相比，InnoDB提供了许多细微的性能改进，并且在处理潜在的数据丢失时提供了更高的可靠性和安全性。似乎InnoDB是用于未来改进的更 适合的存储引擎，因此从版本5.5开始，MySQL已将默认存储引擎从MyISAM更改为InnoDB。</p>
<p>基于这些优势，InnoDB存储引擎本身拆分出了一个分支，一个名为XtraDB的更新的存储引擎。这个存储引擎有多新呢？它3年前由 Percona首次发布，因此它相对较新。它是专门针对在现代服务器上运行的现代高可用性网站设计的。它被设计为在具有十几个或更多核心和大内存 （32GB及更多）的服务器上运行。任何公司都可以从服务器管理公司购买这些类型的服务器，因此应将数据库设计为能够充分利用这些服务器。</p>
<p>XtraDB分支有另一个目标，即成为InnoDB存储引擎的简单替代，这样用户就可以轻松地切换其存储引擎，无需更改任何现有的应用程序代码。XtraDB必须能够向后兼容InnoDB，以提供它们想要添加的所有新功能和改进。它们实现了此目标。</p>
<p>XtraDB的速度有多快？我找到的一个性能测试表明：与内置的MySQL 5.1 InnoDB 引擎相比，它每分钟可处理2.7倍的事务。（请参见参考资料）。速度显然是一个不可以忽略的因素，在考虑替代产品时更是如此。</p>
<p><strong>Percona</strong></p>
<p>与内置的MySQL存储引擎相比，XtraDB提供了一些极大的改进，但它不是一款独立产品，也无法轻松放入现有MySQL安装。因此，如果您想使用这款新引擎，则必须使用提供它的产品。</p>
<p>Percona Server就是这样一款产品，由领先的MySQL咨询公司Percona发布。Percona Server是一款独立的数据库产品，为用户提供了换出其MySQL安装并换入Percona Server产品的能力。通过这样做，就可以利用XtraDB存储引擎。Percona Server声称可以完全与MySQL兼容，因此从理论上讲，您无需更改软件中的任何代码。这确实是一个很大的优势，适合在您寻找快速性能改进时控制质 量。因此，采用Percona Server的一个很好的理由是，利用XtraDB引擎来尽可能地减少代码更改。</p>
<p>此外，他们是XtraDB存储引擎的原作者。Percona将此代码用作开源代码，因此您可以在其他产品中找到它，但引擎的最初创建者与编写此产品的是同一个人，所以您可以随心所欲地使用此信息。</p>
<p>下面是Percona Server的声明，该声明来自它们自己的网站：</p>
<ul>
<li>可扩展性：处理更多事务；在强大的服务器上进行扩展</li>
<li>性能：使用了XtraDB的Percona Server速度非常快</li>
<li>可靠性：避免损坏，提供崩溃安全(crash-safe)复制</li>
<li>管理：在线备份，在线表格导入/导出</li>
<li>诊断：高级分析和检测</li>
<li>灵活性：可变的页面大小，改进的缓冲池管理</li>
</ul>
<p>Percona团队的最终声明是&ldquo;Percona Server是由Oracle发布的最接近官方MySQL Enterprise发行版的版本&rdquo;，因此与其他更改了大量基本核心MySQL代码的分支有所区别。Percona Server的一个缺点是他们自己管理代码，不接受外部开发人员的贡献，以这种方式确保他们对产品中所包含功能的控制。</p>
<p><strong>MariaDB</strong></p>
<p>另一款提供了XtraDB存储引擎的产品是MariaDB产品。它与Percona产品非常类似，但是提供了更多底层代码更改，试图提供比标准 MySQL更多的性能改进。MariaDB直接利用来自Percona的XtraDB引擎，由于它们使用的是完全相同的引擎，因此每次使用存储引擎时没有 显著的差别。</p>
<p>此外，MariaDB提供了MySQL提供的标准存储引擎，即MyISAM和InnoDB。因此，实际上，可以将它视为MySQL的扩展集，它不仅 提供MySQL提供的所有功能，还提供其他功能。MariaDB还声称自己是MySQL的替代，因此从MySQL切换到MariaDB时，无需更改任何基 本代码即可安装它。</p>
<p>最后可能也是最重要的一点是，MariaDB的主要创建者是Monty Widenius，也是MySQL的初始创建者。Monty成立了一家名为Monty Program的公司来管理MariaDB的开发，这家公司雇佣开发人员来编写和改进MariaDB产品。这既是一件好事，也是一件坏事：有利的一面在于 他们是Maria功能和bug修复的佼佼者，但公司不是以赢利为目的，而是由产品驱动的，这可能会带来问题，因为没有赢利的公司不一定能长久维持下去。</p>
<p><strong>Drizzle</strong></p>
<p>本文介绍的最后一款产品是Drizzle。与之前介绍的两款产品不同，Drizzle与MySQL有很大差别，甚至声称它们不是MySQL的替代产 品。他们期望对MySQL进行一些重大更改，想要提供一种出色的解决方案来解决高可用性问题，即使这意味着要更改我们已经习惯了的MySQL的各个方面。</p>
<p>在公司的FAQ页面，阅读其中提供的问题时就会发现，Drizzle进一步地强调了其基本目标。他们不满意MySQL 4.1版本之后对MySQL代码进行的一些更改，声称许多开发人员不想花费额外的钱。他们承认其产品与SQL关系数据库甚至是不兼容的。这确实与 MySQL有很大的不同。</p>
<p>与习惯的MySQL有如此大的变化，我们为什么还要考虑这款产品呢？准确地讲，原因与上面的是相同的，Drizzle是MySQL引擎的一次重大修 改，它清除了一些表现不佳和不必要的功能，将很多代码重写，对它们进行了优化，甚至将所用语言从C换成了C++，以获得所需的代码。此外，Drizzle 并没有就此结束修改，该产品在设计时就考虑到了其目标市场，即具有大量内容的多核服务器、运行Linux的64位机器、云计算中使用的服务器、托管网站的 服务器和每分钟接收数以万计点击率的服务器。这是一个相当具体的市场。它太具体了吗？请记住这些类型的公司目前在其数据库方面投入的资金，如果他们可以安 装Drizzle而不是MySQL，那么他们的服务器成本将削减一半，可以节省很多钱！</p>
<p>那么，是不是所有人都应该使用Drizzle呢？等等，正如Drizzle反复指出的那样，它与MySQL不兼容。因此，如果您现在使用的是MySQL平台，那么需要重写大量代码，才能使Drizzle在您的环境中正常工作。</p>
<p>尽管需要额外的工作才能让它运行，但它并不像Percona或MariaDB那样快速且易于使用。我之所以介绍Drizzle，是因为尽管目前它可 能不是您的选择，但几年之后，它很可能会成为一些人的选择。因为本文的目标是提高您对未来使用的工具的认识，所以这是向您介绍此产品的好机会。许多领先的 DB专家相信Drizzle将成为未来5年内高可用性数据库安装的选择。</p>
<p>Drizzle是完全开源的产品，公开接受开发人员的贡献。它不像MariaDB那样有支持其开发的公司，也不像Percona那样有大量外部开发人员为其提供贡献。Drizzle有很好的成长空间并会提供一些新功能，但可能需要重写大部分MySQL代码。</p>
<p><strong>对比图</strong></p>
<p>下面是本文中介绍的三款MySQL分支产品的概述。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY21zLmNzZG5pbWcuY24vYXJ0aWNsZXYxL3VwbG9hZHMvYWxsaW1nLzExMTIyOS85NF8xMTEyMjkxNjM3MjZfMS5wbmc=.jpg" /></p>
<p><strong>结束语</strong></p>
<p>本文介绍了MySQL产品的三个新分支，旨在解决它们使用MySQL时遇到的一些问题。这三个分支都是免费的开源产品。在使用时，您需要根据 MySQL已提供的功能来权衡它们的优缺点。我相信，对于阅读本文的大多数人来说，MySQL将仍然是满足数据库需求的首选。我很怀疑阅读本文的大多数读 者都是每小时拥有1,000,000点击率的网站的所有者。我想再次强调的是，MySQL仍然是一款非常出色的产品，是一个非常适合大多数使用情况的数据 库。</p>
<p>但是，对于那些认为自己的网站需要比目前MySQL所能提供的更高的可用性、可扩展性和性能的人来说，这3款产品中的任意一款产品都可能为您提供所 需的解决方案。更进一步地说，如果您认为您的网站将成为能获得很多利润的网站，那么可以考虑使用三款产品中的一款产品，在问题出现之前解决它们。</p>
<p>最后，出现这些MySQL分支的根本原因是：一些创作者想更改MySQL的一些基本功能，因为他们无法等到MySQL自己完成这些工作。此 外，Oracle的现状威胁到了MySQL的未来，并且许多开发人员（包括MySQL的原始开发人员）都担心该产品的未来，他们还担心Oracle是否会 投入精力保持该产品的领先数据库的地位。这些担忧在我看来都是合理的，因此在我们迈向未来时要牢记这些产品。</p>
<p><strong>作者简介：</strong></p>
<p>Michael Abernethy在Michael Abernethy的12年技术生涯中，他与各种不同的技术和客户打交道。他现在专注于构建更好和更为复杂的Web应用程序、测试运行这些应用程序所在的 浏览器的限制，同时也在尝试解决如何让Web应用程序更容易创建和维护。他空闲时，会陪伴他的孩子们。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-16 20:53:15 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>超越MySQL：三个流行MySQL分支的对比（转）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kpL8z3.html" rel="bookmark">三个流行MySQL分支的对比</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介 MySQL是历史上最受欢迎的免费开源程序之一.它是成千上万个网站的数据库骨干,并且可以将它(和Linux)作为过去10年里Internet呈指数级增长的一个有力证明. 那么,如果MySQL真的这么重要,为什么还会出现越来越多的核心MySQ产品的高端衍生产品?这是因为MySQL是免费的开源应用程序,所以开发人员总是可以获得其代码,并按照自己的想法修改代码,然后再自行分发代码.在很长的一段时间里,在开发人员自己的生产环境中,没有任何值得信任的MySQL分支.但是,这种情况很快就发生了改变.有几			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MElqQx4.html" rel="bookmark">centos   LAMP第三部分php&comma;mysql配置   第二十一节课</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				centos   LAMP第三部分php,mysql配置   第二十一节课 上半节课 下半节课 f			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bpGQm4.html" rel="bookmark">MySQL三种备份</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一)备份分类 1 2 3 4 5 6 7 8 9 10 11 12 冷备:cold backup数据必须下线后备份 温备:warm backup全局施加共享锁,只能读,不能写 热备:hot backup数据不离线,读写都能正常进行 备份的数据集 完全备份:full backup 部分备份:partial backup 备份时的接口(是直接备份数据文件还是通过mysql服务器导出数据) 物理备份:直接复制(归档)数据文件的备份方式:physical backup 逻辑备份:把数据从库中提出来保存为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPvnWP3.html" rel="bookmark">mysql三范式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				列不可分割 数据惟一性 数据不可冗余(如果一列能被其中一列推导出来,则不可以数据列里添加上去) 有时可反3范式 mysql三范式			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eYdgb0.html" rel="bookmark">第 四 十 三 天：mysql 的 相 关 问 题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				小Q:梦想着诗一般的日子,时而简单,时而精致:处在歌一般的生活,时而 靠谱,时而不着调. ====================================================================== mysql在指定IP上启动端口----------------------------------------- 只需在my.cnf中的[mysqld]字段中加入一行 bind-addr  = 1.1.1.1 同一台MySQL服务器启动多个端口------------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xGQanM.html" rel="bookmark">mysql&lpar;三&rpar; 数据表的基本操作操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mysql(三) 数据表的基本操作操作 创建表,曾删改查,主键,外键,基本数据类型. 1. 创建表 create table 表名( 列名 类型 是否可以为空, 列名 类型 是否可以为空 )ENGINE=InnoDB DEFAULT CHARSET=utf8 例如: 类型解释: 是否可以为空: 是否可空,null表示空,非字符串 not null - 不可空 null - 可空 默认值设置 默认值,创建列时可以指定默认值,当插入数据时如果未主动设置,则自动添加默认值 create table t			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JgExPM.html" rel="bookmark">Mysql必知必会 第三章 使用Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第三章 使用Mysql SQL语句和大小写 请注意,SQL语句不区分大小写,因此SELECT与select是相同的.同样,写成Select也没有关系.许多SQL开发人员喜欢对所有SQL关键字使用大写,而对所有列和表名使用小写,这样做使代码更易于阅读和调试. 功能 语句 备注 选择数据库 USE db_name 显示可用数据库 SHOW DATABASES 返回可用数据库的一个列表 显示数据库内的表 SHOW TABLES 返回当前数据库内表的列表 显示表中包含的列 SHOW COLUMNS FR			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0x5D2k3.html" rel="bookmark">linux学习之centos（三）：mysql数据库的安装和配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.卸载系统原有mysql 切换到root用户下操作: [[email protected]localhost ~]$ su 查看该操作系统是否已经安装了mysql数据库: [[email protected] carsonzhu]# rpm -qa | grep mysql mysql-libs-5.1.71-1.el6.x86_64 然后我用下面的方式试图删除mysql(遇到了问题): [[email protected] carsonzhu]# rpm -e mysql-libs-5.1.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXqOoX0.html" rel="bookmark">MYSQL三种安装方式--rpm包安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 首先检查机器里是否已经存在MySQL $ rpm -qa | grep mysql 2. 去官网下载相应的rpm包:https://dev.mysql.com/downloads/mysql/ mysql-community-common-5.7.19-1.el6.x86_64.rpmmysql-community-client-5.7.19-1.el6.x86_64.rpmmysql-community-server-5.7.19-1.el6.x86_64.rpmmysql-commun			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/V0bK5L3.html" rel="bookmark" class="title">Linux 内核开发 - 内存管理</a>
					<div>
						1.1什么是内存管理 内存管理是对计算机内存进行分配和使用的技术.内存管理主要存在于多任务的操作系统中,由于内存资源极其有限,需要在不同的任务之间共享内存,内存管理的存在就是要高效.快速的非配内存,并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/XMgOgLM.html" rel="bookmark" class="title">动态Entity Framework查询：Dynamic Query 介绍</a>
					<div>
						小分享:我有几张阿里云优惠券,用券购买或者升级阿里云相应产品最多可以优惠五折!领券地址:https://promotion.aliyun.com/ntms/act/ambassador/shareto ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/W0jdeV4.html" rel="bookmark" class="title">Asp&period;Net SignalR GlobalHost外部通知</a>
					<div>
						GlobalHost 外部通知 之前都是在集线器类中进行服务器对客户端的通知操作,但是在开发中往往会有需求监控某个系统 ,比如OA系统  上级领导在上面宣布下午两点要开会 那么就要通知到其他的人.这里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Oa7yGM.html" rel="bookmark" class="title">python学习-基础语法</a>
					<div>
						1.常量/变量 常量:一旦赋值不可改变,不能重新赋值.python不存在常量. 字面常量:一个单独出现的量,未赋值给任何变量或常量. 变量:是一个名字,在赋值符号的左边.这个名字可以指代赋值符号右边的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JkYyBM.html" rel="bookmark" class="title">Centos 7 安装 pptp vpn</a>
					<div>
						1.检查系统内核是否支持MPPE modprobe ppp-compress-18 &amp;&amp; echo OK 显示OK说明系统支持MPPE 2.检查系统是否开启TUN/TAP支持 cat  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBAXrv4.html" rel="bookmark" class="title">jquery的isNumeric方法</a>
					<div>
						//判断是否为数字isNumeric: function( obj ) {      //isFinite判断是否为有限的数字      return !isNaN( parseFloat(obj)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eqwRa0.html" rel="bookmark" class="title">课堂讨论电子版</a>
					<div>
						利益相关者列表: 招标发布人员:河北省省级政府采购中心综合信息部 采购人:省民政厅 用户:系统管理维护者. 社会团体.民办非企业单位. 基金会.经营性公墓. 利用外资建设殡仪馆.火葬场.公墓.骨灰堂. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/418Vxg3.html" rel="bookmark" class="title">二分箭术--G&amp;amp&semi;K稳健过神思路</a>
					<div>
						自从资料片开始,一直在思考稳定可靠的过神思路,现在有眉目了,试验了几把感觉不错,先分享如下: 1)只开2个分城,特殊情况除外.Re: 经过多次打的经验,开2个分城比开3个分城更容易选址,政策更快,快乐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wynKQM.html" rel="bookmark" class="title">照亮心里的每一个角落，温暖每一个寒冷的冬天</a>
					<div>
						你的孩子出生,四肢健全,哭声响亮,你喜悦的泪水流了一脸.那时你的心,是柔软的. 他第一次吸吮母乳,第一次叫爸爸妈妈,第一次会走路,第一次自己吃饭,第一次自己穿衣服,你的笑容无边无际.那时,你的心是柔软 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x5Dzr3.html" rel="bookmark" class="title">代理模式和php实现</a>
					<div>
						代理模式(Proxy Pattern) : 给某一个对象提供一个代 理,并由代理对象控制对原对象的引用.代理模式的英 文叫做Proxy或Surrogate,它是一种对象结构型模式 模式动机: 在某些情 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPDkPPM.html" rel="bookmark" class="title">linux软硬连接</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPWdGB4.html" rel="bookmark" class="title">广汇股份的方式风热</a>
					<div>
						http://www.ebay.com/gds/-/10000000197997624/ http://www.ebay.com/gds/-/10000000197997735/ http://www ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBaKrg4.html" rel="bookmark" class="title">eaby技术架构变迁</a>
					<div>
						﻿﻿ 如果你对项目管理.系统架构有兴趣,请加微信订阅号&quot;softjg&quot;,加入这个PM.架构师的大家庭 最近在infoq上面看到 ebay介绍其系统架构变迁以及系统设计分享方面的讲座 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVVdyyM.html" rel="bookmark" class="title">求所有子数组的和的最大值</a>
					<div>
						1.源代码 package 加减乘除; import java.util.Scanner; public class Max1 { public static void main(String[] a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kZbqPM.html" rel="bookmark" class="title">对angularjs时间过滤格式</a>
					<div>
						在最近的项目中,我遇到这样的一个小问题,从后台传过来一个时间值,格式如下: &quot;/Date(1484743002000)/&quot; 至于为什么是这种格式,后台的开发说数据库中就是这个存的( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0leDDW3.html" rel="bookmark" class="title">python2&period;x和3&period;x的区别</a>
					<div>
						这个星期开始学习Python了,因为看的书都是基于 Python2.x,而且我安装的是Python3.1,所以书上写的地方好多都不适用于Python3.1,特意在Google上search了一下 3. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDyBV70.html" rel="bookmark" class="title">36补 varnish程序解雇及配置初步、vcl使用详解及varnish命令行工具</a>
					<div>
						01 varnish程序结构及配置初步 配置环境 node1: CentOS 6.7 192.168.1.121 [[email protected] ~]# yum -y install httpd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YqgQJ0.html" rel="bookmark" class="title">expdp&bsol;impdp及exp&bsol;imp</a>
					<div>
						数据泵文件 expdp介绍 EXPDP命令行选项1. ATTACH该选项用于在客户会话与已存在导出作用之间建立关联.语法如下ATTACH=[schema_name.]job_nameSchema_na ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k6EmEM.html" rel="bookmark" class="title">Windows7如何安装Sqlite3</a>
					<div>
						Sqlite官网地址:http://www.sqlite.org/ Sqlite3文件下载: 1.下载 sqlite-dll-win32-x86-3140100 2.下载 sqlite-tools-w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02oz9B3.html" rel="bookmark" class="title">谈谈玩游戏</a>
					<div>
						前言小时候玩游戏初高中玩游戏大学之后玩游戏为什么玩游戏?玩游戏会上瘾吗?兴趣是最好的老师其实人生就像一场游戏 前言 还是不得不提,当初我选软件的专业,真的就是因为想多玩会电脑(游戏),其实我也没啥网瘾 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.034 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
